Build #7 for monad-ox-0.1.0

[all reports]

Package monad-ox-0.1.0
Install DependencyFailed data-memocombinators-0.4.3
Docs NotTried
Tests NotTried
Time submitted 2016-12-24 01:34:06.584268 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, containers-0.5.7.1, data-memocombinators-0.4.3, mtl-2.2.1, vector-0.11.0.0
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring data-inttrie-0.1.2...
Configuring mtl-2.2.1...
Building data-inttrie-0.1.2...
Building mtl-2.2.1...
Installed data-inttrie-0.1.2
Configuring primitive-0.6.1.0...
Building primitive-0.6.1.0...
Configuring data-memocombinators-0.4.3...
Installed mtl-2.2.1
Building data-memocombinators-0.4.3...
Failed to install data-memocombinators-0.4.3
Build log ( /home/builder/.cabal/logs/data-memocombinators-0.4.3.log ):
cabal: Entering directory '/tmp/cabal-tmp-18606/data-memocombinators-0.4.3'
Configuring data-memocombinators-0.4.3...
Building data-memocombinators-0.4.3...
Preprocessing library data-memocombinators-0.4.3...
[1 of 1] Compiling Data.MemoCombinators ( Data/MemoCombinators.hs, dist/build/Data/MemoCombinators.o )

Data/MemoCombinators.hs:119:10: error:
    • Could not deduce (Num a) arising from a use of ‘IntTrie.apply’
      from the context: (Ord a, Bits a)
        bound by the type signature for:
                   bits :: (Ord a, Bits a) => Memo a
        at Data/MemoCombinators.hs:118:1-33
      Possible fix:
        add (Num a) to the context of
          the type signature for:
            bits :: (a -> r) -> a -> r
          or the type signature for:
               bits :: (Ord a, Bits a) => Memo a
    • In the expression: IntTrie.apply (fmap f IntTrie.identity)
      In an equation for ‘bits’:
          bits f = IntTrie.apply (fmap f IntTrie.identity)
cabal: Leaving directory '/tmp/cabal-tmp-18606/data-memocombinators-0.4.3'
Installed primitive-0.6.1.0
Configuring vector-0.11.0.0...
Building vector-0.11.0.0...
Installed vector-0.11.0.0
cabal: Error: some packages failed to install:
data-memocombinators-0.4.3 failed during the building phase. The exception
was:
ExitFailure 1
monad-ox-0.1.0 depends on data-memocombinators-0.4.3 which failed to install.